All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.graphics.html
Class GraphComposite

    com.sas.servlet.tbeans.graphics.html.GraphComposite

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, GraphCompositeKeysInterface, GraphCompositeStyleKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  BarChartComposite, BarLineChartComposite, ESRIMapComposite, LineChartComposite, LinePlotComposite, PieChartComposite, RadarChartComposite, ScatterPlotComposite, WaterfallChartComposite

    public abstract class GraphComposite

implements GraphCompositeKeysInterface, GraphCompositeStyleKeysInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Fields inherited from interface com.sas.servlet.tbeans.graphics.html.GraphCompositeKeysInterface
`GRAPH_APPLIEDFILTERS, GRAPH_CHART, GRAPH_FOOTER, GRAPH_MENUBAR, GRAPH_TITLE`

Fields inherited from interface com.sas.servlet.tbeans.graphics.html.GraphCompositeStyleKeysInterface
`GRAPH_CONTAINER_STYLE, GRAPH_CONTENT_STYLE, GRAPH_FOOTER_STYLE, GRAPH_STYLE, GRAPH_TITLE_STYLE, GRAPH_TOOLBAR_STYLE`

Constructor Summary
`GraphComposite(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Construct a new GraphComposite object

Method Summary
`AppliedFilters` | `getDefaultAppliedFilters()` Returns the default AppliedFilter object for the chart
`Label` | `getDefaultFooter()` Returns the default Label to use as the chart's footer.
`ActionProviderMenuBar` | `getDefaultMenuBar()` Returns the default MenuBar object for the chart
`Label` | `getDefaultTitle()` Returns the default Label to use as the chart's title.
`javax.swing.table.TableModel` | `getModel()` Return the data model for the chart
`void` | `setModel(javax.swing.table.TableModel model)` Sets the data model for the cjart
`void` | `write(java.io.PrintWriter out)` Writes all the components in this composite using the given Template.

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Constructor Detail

### GraphComposite

    public GraphComposite(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)

  Construct a new GraphComposite object

  Parameters:
    `request` - The HttpServletRequest object
    `response` - the HttpServletResponse object

Method Detail

### getDefaultTitle

    public Label getDefaultTitle()

  Returns the default Label to use as the chart's title.

  Returns:
    the default Label to use as the chart's title.

### getDefaultFooter

    public Label getDefaultFooter()

  Returns the default Label to use as the chart's footer.

  Returns:
    the default Label to use as the chart's footer.

### getDefaultMenuBar

    public ActionProviderMenuBar getDefaultMenuBar()

  Returns the default MenuBar object for the chart

  Returns:
    the default MenuBar object for the chart

### getDefaultAppliedFilters

    public AppliedFilters getDefaultAppliedFilters()

  Returns the default AppliedFilter object for the chart

  Returns:
    the default AppliedFilter object for the chart

### getModel

    public javax.swing.table.TableModel getModel()

  Return the data model for the chart

  Returns:
    the data model for the chart

### setModel

    public void setModel(javax.swing.table.TableModel model)

  Sets the data model for the cjart

  Parameters:
    `model` - the data model for the chart

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes all the components in this composite using the given Template. This method calls the cleanUpResources method at the end to reset the `request` and `response` back to null.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseCompositeTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.